/*
 *  Authors:  huanfuxi <huanfuxi@kylinos.cn>
 *  Authors:  liuyi <liuyi@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#include "common.h"

struct TaskctlMigrationPolicy {
  /**
   * @brief 进程保护的状态
   * @detail 取`MigrationModuleStatus`的值
   */
  int status;

  /**
   * @brief 所有受保护的程序（文件路径）
   */
  struct MigrationStringList process_protect_list;

  /**
   * @brief 所有的特权文件（文件路径）
   */
  struct MigrationStringList process_trust_list;

  /**
   * @brief 所有的特权程序（软件包）
   */
  struct MigrationStringList app_trust_list;
};
