/*
 *  Authors:  tiandongdong <tiandongdong@kylinos.cn>
 *  Authors:  litianhao <litianhao@kylinos.cn>
 *
 *  Copyright (c) KylinSoft Co., Ltd [2024].All rights reserved.
 */
#pragma once

#ifdef __cplusplus
extern "C" {
#endif

/**
 * @brief 增加sm授权认证程序
 * @param caller[in] 程序
 * @return 0：成功，非0：失败
 */
int kysec_scene_sm_add_authorized_caller(const char *caller);

/**
 * @brief 删除sm授权认证程序
 * @param caller[in] 程序
 * @return 0：成功，非0：失败
 */
int kysec_scene_sm_remove_authorized_caller(const char *caller);

#ifdef __cplusplus
}
#endif
